Package org.apache.sysds.parser

# Class LanguageException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sysds.api.DMLException
org.apache.sysds.parser.LanguageException

All Implemented Interfaces:
  `Serializable`

public class LanguageException extends DMLException

Exception occurring at the Language level.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`LanguageException.LanguageErrorCodes`

## Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

## Constructor Summary

Constructors
Constructor
Description
`LanguageException()`
`LanguageException(String message)`
`LanguageException(String message, String code)`
`LanguageException(String message, Throwable cause)`
`LanguageException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LanguageException

public LanguageException()

### LanguageException

public LanguageException(String message)

### LanguageException

public LanguageException(Throwable cause)

### LanguageException

public LanguageException(String message, Throwable cause)

### LanguageException

public LanguageException(String message, String code)